# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'ec2ctl/version'

Gem::Specification.new do |spec|
  spec.name        = "ec2ctl"
  spec.version     = EC2Ctl::VERSION
  spec.authors     = ["Yoriki Yamaguchi"]
  spec.email       = ["email@y13i.com"]
  spec.summary     = %(A small command line tool for managing EC2/ELB.)
  spec.description = %(A small command line tool for managing EC2/ELB.)
  spec.homepage    = "https://github.com/y13i/ec2ctl"
  spec.license     = "MIT"

  spec.files         = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.required_ruby_version = ">= 2.0.0"

  spec.add_dependency "aws-sdk",        "~> 2.3"
  spec.add_dependency "commander",      "~> 4.4"
  spec.add_dependency "coderay",        "~> 1.1"
  spec.add_dependency "terminal-table", "~> 1.6"

  spec.add_development_dependency "bundler", "~> 1.12"
  spec.add_development_dependency "rake",    "~> 10.0"
  spec.add_development_dependency "pry",     "~> 0.10"
end
